Subject: Re: Non-committers can't keep authenticated forks updated

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 16 Jan 2025 09:52:15 +0100

Liliana Marie Prikler <[email-masked]> writes:

>> This has the slight issue that I can no longer easily answer a
>> question "is this commit in my fork", since I cannot search by the
>> commit hash. I admit it is not a question I need to answer often
>> (last time was on 21st of October, CVE-2024-52867).
> You could solve this by embedding an "upstream-commit:" trailer, but
> that is an admittedly cursed transformation that no longer maps to a
> single rebase, I admit.

You can use the Change-Id tag for this.  Our local hooks create them and
they stay intact after rebase.

-- 
Ricardo